@import url(https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.0.0-beta3/css/all.min.css)
@import url(https://fonts.googleapis.com/css2?family=Open+Sans:wght@600&display=swap)

$principal:#33486C  
$secondary: #FF6B0B 
$fonts: 'Open Sans', sans-serif

.fa
  position: relative
  display: table-cell
  width: 60px
  height: 36px
  text-align: center
  vertical-align: middle
  font-size: 28px

.main-menu:hover, nav.main-menu.expanded
  width: 359px
  overflow: visible
  box-shadow: 4px 4px 4px rgba(0, 46, 113, 0.12)
 
.main-menu
  background: white
  border-right: 1px solid #e5e5e5 
  padding: 5rem 0 0
  height: 85vh
  bottom: 5rem
  left: 0
  width: 60px
  overflow: hidden
  -webkit-transition: width .05s linear
  transition: width .05s ease-in
  -webkit-transform: translateZ(0) scale(1, 1)
  z-index: 1
  float: left

  > ul
    margin: 7px 0

  li
    position: relative
    display: block
    width: 359px  

    > a
      position: relative
      display: table
      border-collapse: collapse
      border-spacing: 0
      color: $principal
      font-family: $fonts
      font-style: normal
      font-weight: 600
      font-size: 16px
      line-height: 24px
      text-decoration: none
      -webkit-transform: translateZ(0) scale(1, 1)
      -webkit-transition: all .1s linear
      transition: all .1s linear

  .nav-icon
    position: relative
    display: table-cell
    width: 60px
    height: 36px
    text-align: center
    vertical-align: middle
    font-size: 18px

  .nav-text
    position: relative
    display: table-cell
    vertical-align: middle
    width: 359px
    padding: 2.5rem 0
    padding-left: 11px
    font-family: $fonts

.no-touch .scrollable.hover
  overflow-y: hidden

  &:hover
    overflow-y: auto
    overflow: visible

a
  &:hover, &:focus
    text-decoration: none

nav
  -webkit-user-select: none
  -moz-user-select: none
  -ms-user-select: none
  -o-user-select: none
  user-select: none

  ul, li
    outline: 0
    margin: 0
    padding: 0

.main-menu li:hover > a, nav.main-menu li.active > a
  color: #fff
  background-color: $secondary

.dropdown-menu >
  li > a
    &:hover, &:focus
      color: #fff
      background-color: $secondary

  .active > a
    color: #fff
    background-color: $secondary

    &:hover, &:focus
      color: #fff
      background-color: $secondary

.no-touch .dashboard-page nav.dashboard-menu ul li:hover a, .dashboard-page nav.dashboard-menu ul li.active a
  color: #fff
  background-color: $secondary

//Comienza header
header
    position: fixed
    z-index: 3
    top:0
    left:0          
    height: 90px
    width:100%
    right:0
    border-bottom: 1px solid #e5e5e5
    background-color: white  
    box-shadow: 0px 4px  -2px rgba(0,0,0,0.75)
    overflow: hidden
    .header-logo
        width: 22% 
        float: left
        padding-left: 3rem  
        img
            width: 200px
    .user-content  
        padding-right: 60px
        text-align: right
        vertical-align: middle 
        font-family: $fonts
        .text
            padding-right: 90px
            float: right
            .bienvenido
                color: #002E71
            .nombre
                color: $secondary  
        .icon
            overflow: hidden
            position: absolute 
            padding-right: 50px
            right: 10px            
            width: 75px
            img
                width: 100%
                border-radius: 50%
                border: 3px solid $principal   


 
 